pam_pkcs11 0.6.8

- Main Page
- Data Structures
- Files
- Directories

- File List
- Globals

Functions
NSPRerrs.h File Reference

Go to the source code of this file.

## Functions

| ER2 (PR_FIND_SYMBOL_ERROR,"Symbol not found in any of the loaded dynamic libraries.") ER2(PR_DIRECTORY_LOOKUP_ERROR
A directory lookup on a network address has failed | ER2 (PR_TPD_RANGE_ERROR,"Attempt to access a TPD key that is out of range.") ER2(PR_NOT_SOCKET_ERROR
A directory lookup on a network address has failed Network operation attempted on non network file descriptor | ER2 (PR_NOT_TCP_SOCKET_ERROR,"TCP-specific function attempted on a non-TCP file descriptor.") ER2(PR_OPERATION_NOT_SUPPORTED_ERROR
A directory lookup on a network address has failed Network operation attempted on non network file descriptor The requested operation is not supported by the platform | ER2 (PR_PROTOCOL_NOT_SUPPORTED_ERROR,"The host operating system does not support the protocol requested.") ER2(PR_BUFFER_OVERFLOW_ERROR
A directory lookup on a network address has failed Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided | ER2 (PR_FILE_TOO_BIG_ERROR,"Write would result in file larger than the system allows.") ER2(PR_IS_DIRECTORY_ERROR

A directory lookup on a
network address has failed
Network operation attempted on
non network file descriptor
The requested operation is not
supported by the platform The
value requested is too large
to be stored in the data
buffer provided Cannot perform
a normal file operation on a
directory

ER2 (PR_NOT_DIRECTORY_ERROR,"Cannot perform directory operation on a normal file.") ER2(PR_READ_ONLY_FILESYSTEM_ERROR

A directory lookup on a
network address has failed
Network operation attempted on
non network file descriptor
The requested operation is not
supported by the platform The
value requested is too large
to be stored in the data
buffer provided Cannot perform
a normal file operation on a
directory Cannot write to a
read only file system

ER2 (PR_DIRECTORY_NOT_EMPTY_ERROR,"Cannot delete a directory that is not empty.") ER2(PR_FILESYSTEM_MOUNTED_ERROR

A directory lookup on a
network address has failed
Network operation attempted on
non network file descriptor
The requested operation is not
supported by the platform The
value requested is too large
to be stored in the data
buffer provided Cannot perform
a normal file operation on a
directory Cannot write to a
read only file system Cannot
delete or rename a file object
while the file system is busy

ER2 (PR_NOT_SAME_DEVICE_ERROR,"Cannot rename a file to a file system on another device.") ER2(PR_DIRECTORY_CORRUPTED_ERROR

A directory lookup on a
network address has failed
Network operation attempted on
non network file descriptor
The requested operation is not
supported by the platform The
value requested is too large
to be stored in the data
buffer provided Cannot perform
a normal file operation on a
directory Cannot write to a
read only file system Cannot
delete or rename a file object
while the file system is busy
The directory object in the
file system is corrupted

ER2 (PR_FILE_EXISTS_ERROR,"Cannot create or rename a filename that already exists.") ER2(PR_MAX_DIRECTORY_ENTRIES_ERROR

A directory lookup on a
network address has failed
Network operation attempted on
non network file descriptor
The requested operation is not
supported by the platform The
value requested is too large
to be stored in the data
buffer provided Cannot perform
a normal file operation on a
directory Cannot write to a
read only file system Cannot
delete or rename a file object
while the file system is busy
The directory object in the
file system is corrupted
Directory is full No
additional filenames may be
added

ER2 (PR_INVALID_DEVICE_STATE_ERROR,"The required device was in an invalid state.") ER2(PR_IN_PROGRESS_ERROR

A directory lookup on a
network address has failed
Network operation attempted on
non network file descriptor
The requested operation is not
supported by the platform The
value requested is too large
to be stored in the data
buffer provided Cannot perform
a normal file operation on a
directory Cannot write to a
read only file system Cannot
delete or rename a file object
while the file system is busy
The directory object in the
file system is corrupted
Directory is full No
additional filenames may be
added Operation is still in

progress (probably a non-blocking connect)." ) ER2( PR_ALREADY_INITIATED_ERROR

## Function Documentation

ER2 | ( | PR_FIND_SYMBOL_ERROR | ,
|  | "Symbol not found in any of the loaded dynamic libraries." |
| ) |  |

A directory lookup on a network address has failed ER2 | ( | PR_TPD_RANGE_ERROR | ,
|  | "Attempt to access a TPD key that is out of range." |
| ) |  |

A directory lookup on a network address has failed Network operation attempted on non network file descriptor ER2 | ( | PR_NOT_TCP_SOCKET_ERROR | ,
|  | "TCP-specific function attempted on a non-TCP file descriptor." |
| ) |  |

A directory lookup on a network address has failed Network operation attempted on non network file descriptor The requested operation is not supported by the platform ER2 | ( | PR_PROTOCOL_NOT_SUPPORTED_ERROR | ,
|  | "The host operating system does not support the protocol requested." |
| ) |  |

A directory lookup on a network address has failed Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided ER2 | ( | PR_FILE_TOO_BIG_ERROR | ,
|  | "Write would result in file larger than the system allows." |
| ) |  |

A directory lookup on a network address has failed Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided Cannot perform a normal file operation on a directory ER2 | ( | PR_NOT_DIRECTORY_ERROR | ,
|  | "Cannot perform directory operation on a normal file." |
| ) |  |

A directory lookup on a network address has failed Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided Cannot perform a normal file operation on a directory Cannot write to a read only file system ER2 | ( | PR_DIRECTORY_NOT_EMPTY_ERROR | ,
|  | "Cannot delete a directory that is not empty." |
| ) |  |

A directory lookup on a network address has failed Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided Cannot perform a normal file operation on a directory Cannot write to a read only file system Cannot delete or rename a file object while the file system is busy ER2

(

PR_NOT_SAME_DEVICE_ERROR

,

|  | "Cannot rename a file to a file system on another device." |
| ) |  |

A directory lookup on a network address has failed Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided Cannot perform a normal file operation on a directory Cannot write to a read only file system Cannot delete or rename a file object while the file system is busy The directory object in the file system is corrupted ER2

(

PR_FILE_EXISTS_ERROR

,

|  | "Cannot create or rename a filename that already exists." |
| ) |  |

A directory lookup on a network address has failed Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided Cannot perform a normal file operation on a directory Cannot write to a read only file system Cannot delete or rename a file object while the file system is busy The directory object in the file system is corrupted Directory is full No additional filenames may be added ER2

(

PR_INVALID_DEVICE_STATE_ERROR

,

|  | "The required device was in an invalid state." |
| ) |  |

A directory lookup on a network address has failed Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided Cannot perform a normal file operation on a directory Cannot write to a read only file system Cannot delete or rename a file object while the file system is busy The directory object in the file system is corrupted Directory is full No additional filenames may be added Operation is still in progress

(

probably a non-blocking

connect

)